Download PDF evidence
Roles
Analytics Events
/v1/ecosystems/{ecosystemId}/participants/{participantId}/evidence/{evidenceId}/downloadRetrieves a specific PDF evidence file.
Analytic events
- ECOSYSTEM_PARTICIPANT_EVIDENCE_DOWNLOAD_START
- ECOSYSTEM_PARTICIPANT_EVIDENCE_DOWNLOAD_SUCCESS
- ECOSYSTEM_PARTICIPANT_EVIDENCE_DOWNLOAD_FAIL
Authorization
bearerAuth In: header
Path Parameters
The UUID of the participant
uuidThe UUID of the ecosystem
uuidThe UUID of the participant evidence
uuidResponse Body
application/pdf
application/json
curl -X GET "https://example.vii.au01.mattr.global/v1/ecosystems/87880d7e-a4d0-462e-8383-3f1e5e16865d/participants/a24e391a-c27f-4b6e-9805-1ee7e03f3c58/evidence/920f2489-d953-42f2-b2dd-f37c29b818cf/download""string"{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Upload PDF evidence POST
Upload a PDF file as evidence for the given participant. Maximum file size is 10MB. ### **Analytic events** * ECOSYSTEM_PARTICIPANT_EVIDENCE_CREATE_START * ECOSYSTEM_PARTICIPANT_EVIDENCE_CREATE_SUCCESS * ECOSYSTEM_PARTICIPANT_EVIDENCE_CREATE_FAIL
Retrieve all PDF evidence metadata GET
Retrieve metadata for all PDF evidence uploaded for given participant. ### **Analytic events** * ECOSYSTEM_PARTICIPANT_EVIDENCE_RETRIEVE_LIST_START * ECOSYSTEM_PARTICIPANT_EVIDENCE_RETRIEVE_LIST_SUCCESS * ECOSYSTEM_PARTICIPANT_EVIDENCE_RETRIEVE_LIST_FAIL